//Paramètres du nombre d'images à générer
let batch_slider = document.getElementById("BatchSlider");
let batch_zone = document.getElementById("BatchZone");

//Lier le slider à la zone de texte
batch_slider.oninput = function () {
    batch_zone.value = this.value;
}
//Lier la zone de texte au slider
//vérifier que la valeur est bien comprise entre min et max
batch_zone.oninput = function () {
    batch_slider.value = this.value;
    if (parseInt(batch_zone.value) > parseInt(batch_zone.max)) {
        batch_zone.value = batch_zone.max;
        batch_slider.value = batch_zone.max;
    }
    if (parseInt(batch_zone.value) < parseInt(batch_zone.min)) {
        batch_zone.value = batch_zone.min;
        batch_slider.value = batch_zone.min;
    }
}

//Paramètres de la largeur de l'image
let width_slider = document.getElementById("WidthSlider");
let width_zone = document.getElementById("WidthZone");

//Lier le slider à la zone de texte
width_slider.oninput = function () {
    width_zone.value = this.value;
}
//Lier la zone de texte au slider
//vérifier que la valeur est bien comprise entre min et max
width_zone.oninput = function () {
    width_slider.value = this.value;
    if (parseInt(width_zone.value) > parseInt(width_zone.max)) {
        width_zone.value = width_zone.max;
        width_slider.value = width_zone.max;
    }
    if (parseInt(width_zone.value) < parseInt(width_zone.min)) {
        width_zone.value = width_zone.min;
        width_slider.value = width_zone.min;
    }
}

//Paramètres de la hauteur de l'image
let height_slider = document.getElementById("HeightSlider");
let height_zone = document.getElementById("HeightZone");

//Lier le slider à la zone de texte
height_slider.oninput = function () {
    height_zone.value = this.value;
}
//Lier la zone de texte au slider
//vérifier que la valeur est bien comprise entre min et max
height_zone.oninput = function () {
    height_slider.value = this.value;
    if (parseInt(height_zone.value) > parseInt(height_zone.max)) {
        height_zone.value = height_zone.max;
        height_slider.value = height_zone.max;
    }
    if (parseInt(height_zone.value) < parseInt(height_zone.min)) {
        height_zone.value = height_zone.min;
        height_slider.value = height_zone.min;
    }
}

//Paramètres du nombre d'itérations
let step_slider = document.getElementById("StepSlider");
let step_zone = document.getElementById("StepZone");

//Lier le slider à la zone de texte
step_slider.oninput = function () {
    step_zone.value = this.value;
}
//Lier la zone de texte au slider
//vérifier que la valeur est bien comprise entre min et max
step_zone.oninput = function () {
    step_slider.value = this.value;
    if (parseInt(step_zone.value) > parseInt(step_zone.max)) {
        step_zone.value = step_zone.max;
        step_slider.value = step_zone.max;
    }
    if (parseInt(step_zone.value) < parseInt(step_zone.min)) {
        step_zone.value = step_zone.min;
        step_slider.value = step_zone.min;
    }
}

//Paramètres du guide de prompt
let cfg_slider = document.getElementById("CFGSlider");
let cfg_zone = document.getElementById("CFGZone");

//Lier le slider à la zone de texte
cfg_slider.oninput = function () {
    cfg_zone.value = this.value;
}
//Lier la zone de texte au slider
//vérifier que la valeur est bien comprise entre min et max
cfg_zone.oninput = function () {
    cfg_slider.value = this.value;
    if (parseInt(cfg_zone.value) > parseInt(cfg_zone.max)) {
        cfg_zone.value = cfg_zone.max;
        cfg_slider.value = cfg_zone.max;
    }
    if (parseInt(cfg_zone.value) < parseInt(cfg_zone.min)) {
        cfg_zone.value = cfg_zone.min;
        cfg_slider.value = cfg_zone.min;
    }
}


let random_seed_button = document.getElementById("btnRNG");
let SeedZone = document.getElementById("SeedZone");

//si appuie sur le bouton de random seed alors on met -1 dans la zone de seed
random_seed_button.addEventListener('click', function () {
    SeedZone.value = -1;
})

//vérifier que la valeur est bien comprise entre min et max
SeedZone.oninput = function () {
    if (SeedZone.value < -1) {
        SeedZone.value = -1;
    }
    
    if (SeedZone.value > 2^32) {
        SeedZone.value = 2^32;
    }
}